<?php

/*
  PHP version 5
  Copyright (c) 2002-2018 ECISP.CN、EarcLink.COM
  警告：这不是一个免费的软件，请在许可范围内使用，请尊重知识产权，侵权必究，举报有奖
  作者：黄祥云 E-mail:6326420@qq.com  QQ:6326420 TEL:18665655030

 */
class lib_appSidebar {
	public static function call_appSidebar($parameter, $filename = false, $outHTML = null) {
		$para = espcms_array_getvalue($parameter);
		if (!$para['app_isleft'] || !$para['app_modul']) {
			return false;
		}
		$slidebar_app = $para['app_modul'];
		$file = ESPCMS_FILE_ROOT . ESPCMS_ADMIN_DIRNAME . '/control/' . $slidebar_app . '.php';
		if (!is_file($file)) {
			espcms_message_err('public_pack-espcms_module_file_err', array($slidebar_app));
		} else {
			include_once($file);
		}
		return $slidebar_app::into();
	}
}
